> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد ClickPipes

> **نقطة النهاية هذه في مرحلة Beta.** عقد واجهة برمجة التطبيقات مستقر، ولا يُتوقع حدوث تغييرات غير متوافقة في المستقبل. <br /><br /> يعيد قائمة بـ ClickPipes.



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/clickpipes
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes:
    get:
      tags:
        - ClickPipes
      summary: سرد ClickPipes
      description: >-
        **نقطة النهاية هذه في مرحلة Beta.** عقد واجهة برمجة التطبيقات مستقر، ولا
        يُتوقع حدوث تغييرات غير متوافقة في المستقبل. <br /><br /> يعيد قائمة بـ
        ClickPipes.
      parameters:
        - description: معرّف المنظمة المالكة للخدمة.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: معرّف الخدمة المالكة لـ ClickPipe.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: المعرّف الفريد المخصّص لكل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/ClickPipe'
                    type: array
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف مفصل للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمر يُعتبر خطأً
            من جهة العميل.
components:
  schemas:
    ClickPipe:
      properties:
        createdAt:
          description: تاريخ إنشاء ClickPipe.
          type: string
        destination:
          $ref: '#/components/schemas/ClickPipeDestination'
        fieldMappings:
          description: >-
            تعيينات الحقول الخاصة بـ ClickPipe. لاحظ أنه يجب تضمين جميع أعمدة
            الوجهة في هذه التعيينات.
          items:
            $ref: '#/components/schemas/ClickPipeFieldMapping'
          type: array
        id:
          description: المعرّف الفريد لـ ClickPipe.
          format: uuid
          type: string
        name:
          description: اسم ClickPipe.
          type: string
        scaling:
          $ref: '#/components/schemas/ClickPipeScaling'
        serviceId:
          description: معرّف الخدمة التي ينتمي إليها ClickPipe هذا.
          format: uuid
          type: string
        settings:
          $ref: '#/components/schemas/ClickPipeSettings'
        source:
          $ref: '#/components/schemas/ClickPipeSource'
        state:
          description: الحالة الحالية لـ ClickPipe.
          type: string
        updatedAt:
          description: تاريخ آخر تحديث لـ ClickPipe.
          type: string
    ClickPipeDestination:
      properties:
        columns:
          description: >-
            أعمدة الجدول الوجهة. حقل مطلوب لجميع أنواع الـ pipe باستثناء
            Postgres.
          items:
            $ref: '#/components/schemas/ClickPipeDestinationColumn'
          type: array
        database:
          description: قاعدة البيانات الوجهة.
          type: string
        managedTable:
          description: >-
            هل يُدار الجدول بواسطة ClickPipes؟ حقل مطلوب لجميع أنواع الـ pipe
            باستثناء Postgres.
          type: boolean
        table:
          description: الجدول الوجهة. حقل مطلوب لجميع أنواع الـ pipe باستثناء Postgres.
          type: string
        tableDefinition:
          $ref: '#/components/schemas/ClickPipeDestinationTableDefinition'
    ClickPipeFieldMapping:
      properties:
        destinationField:
          description: اسم حقل الوجهة.
          type: string
        sourceField:
          description: اسم حقل المصدر.
          type: string
    ClickPipeScaling:
      properties:
        concurrency:
          deprecated: true
          description: >-
            مستوى التزامن المطلوب. فقط لـ pipes الخاصة بـ S3. إذا ضُبطت القيمة
            على 0، فسيُضبط التزامن تلقائيًا وفقًا لذاكرة الـ cluster.
          type: integer
        replicaCpuMillicores:
          description: CPU بالميلي كور لكل نسخة متماثلة. فقط لـ pipes المتدفقة.
          maximum: 2000
          minimum: 125
          type: integer
        replicaMemoryGb:
          description: الذاكرة بالغيغابايت لكل نسخة متماثلة. فقط لـ pipes المتدفقة.
          maximum: 8
          minimum: 0.5
          type: number
        replicas:
          description: العدد المطلوب من النسخ المتماثلة. فقط لـ pipes القابلة للتوسع.
          type: integer
    ClickPipeSettings:
      properties:
        clickhouse_max_download_threads:
          description: الحد الأقصى لخيوط التنزيل. الحد الأقصى لعدد خيوط التنزيل المتزامنة.
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: الحد الأقصى لخيوط insert. الحد الأقصى لعدد خيوط insert المتزامنة.
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: >-
            الحد الأقصى لعدد الخيوط. الحد الأقصى لعدد خيوط معالجة الملفات
            المتزامنة.
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: >-
            الحد الأدنى لحجم كتلة insert بالبايت. الحد الأدنى لحجم كتلة البيانات
            لعملية insert (بالبايت).
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: >-
            parallel distributed insert select. إعداد parallel distributed
            insert select.
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: >-
            معالجة view المتوازية. ما إذا كان سيتم تمكين الدفع إلى الـ views
            المرفقة بشكل متزامن بدلًا من التسلسل.
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: التزامن في object storage. عدد خيوط معالجة الملفات المتزامنة.
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: >-
            الحد الأقصى لعدد الملفات. الحد الأقصى لعدد الملفات المطلوب معالجتها
            في batch insert واحدة.
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: >-
            الحد الأقصى لبايتات insert. عدد البايتات المطلوب معالجتها في batch
            insert واحدة.
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: >-
            فاصل polling لـ object storage. يضبط فاصل refresh للاستعلام عن
            الإدخال المستمر بحثًا عن بيانات جديدة في object storage.
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: >-
            استخدام دالة cluster. ما إذا كان سيتم استخدام دالة cluster في
            ClickHouse للمعالجة الموزعة.
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: >-
            الحد الأقصى لوقت انتظار insert في البث. يضبط الحد الأقصى لفترة
            الانتظار قبل إدراج البيانات في ClickHouse.
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
    ClickPipeSource:
      properties:
        kafka:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaSource'
        kinesis:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKinesisSource'
        objectStorage:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeObjectStorageSource'
        postgres:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostgresSource'
    ClickPipeDestinationColumn:
      properties:
        name:
          description: اسم العمود.
          type: string
        type:
          description: نوع العمود.
          type: string
    ClickPipeDestinationTableDefinition:
      properties:
        engine:
          $ref: '#/components/schemas/ClickPipeDestinationTableEngine'
        partitionBy:
          description: تعبير SQL لمفتاح التقسيم.
          type: string
        primaryKey:
          description: المفتاح الأساسي في تعبير SQL.
          type: string
        sortingKey:
          description: مفتاح ترتيب الجدول الوجهة. قائمة بالأعمدة.
          items:
            type: string
          type: array
    ClickPipeKafkaSource:
      properties:
        authentication:
          description: >-
            طريقة المصادقة لمصدر Kafka. طرق المصادقة المدعومة: kafka: PLAIN,
            SCRAM-SHA-256, SCRAM-SHA-512, MUTUAL_TLS، msk: SCRAM-SHA-512,
            IAM_ROLE, IAM_USER, MUTUAL_TLS، confluent: PLAIN, MUTUAL_TLS،
            warpstream: PLAIN، azureeventhub: PLAIN، redpanda: SCRAM-SHA-256,
            SCRAM-SHA-512, MUTUAL_TLS، dokafka: SCRAM-SHA-256, MUTUAL_TLS
          enum:
            - PLAIN
            - SCRAM-SHA-256
            - SCRAM-SHA-512
            - IAM_ROLE
            - IAM_USER
            - MUTUAL_TLS
          type: string
        brokers:
          description: وسطاء مصدر Kafka.
          type: string
        caCertificate:
          description: شهادات CA المُرمَّزة بتنسيق PEM للتحقق من شهادة الوسيط.
          nullable: true
          type: string
        consumerGroup:
          description: >-
            مجموعة المستهلكين لمصدر Kafka. إذا لم يتم توفيرها، فسيُستخدم
            "clickpipes-<<ID>>".
          example: my-clickpipe-consumer-group
          nullable: true
          type: string
        format:
          description: تنسيق مصدر Kafka.
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: >-
            دور IAM لمصدر Kafka. يُستخدم مع مصادقة دور IAM. اقرأ المزيد في وثائق
            ClickPipes:
            https://clickhouse.com/docs/en/integrations/clickpipes/kafka#iam
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        offset:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaOffset'
        reversePrivateEndpointIds:
          description: >-
            معرّفات UUID لنقاط النهاية الخاصة العكسية المستخدمة لإجراء اتصال خاص
            وآمن بمصدر Kafka.
          items:
            type: string
          type: array
        schemaRegistry:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaSchemaRegistry'
        topics:
          description: موضوعات مصدر Kafka.
          type: string
        type:
          description: نوع مصدر Kafka.
          enum:
            - kafka
            - redpanda
            - msk
            - confluent
            - warpstream
            - azureeventhub
            - dokafka
          type: string
    ClickPipeKinesisSource:
      properties:
        authentication:
          description: طريقة المصادقة المستخدمة مع Kinesis Stream.
          enum:
            - IAM_ROLE
            - IAM_USER
          type: string
        format:
          description: تنسيق Kinesis Stream.
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: دور IAM المستخدم للمصادقة. مطلوب إذا استُخدم IAM_ROLE.
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        iteratorType:
          description: >-
            نوع المكرّر المستخدم عند القراءة من Kinesis Stream. إذا استُخدم
            AT_TIMESTAMP، فيجب توفير حقل الطابع الزمني.
          enum:
            - TRIM_HORIZON
            - LATEST
            - AT_TIMESTAMP
          type: string
        region:
          description: منطقة AWS الخاصة بـ Kinesis Stream.
          example: us-east-1
          type: string
        streamName:
          description: اسم Kinesis Stream.
          example: my-stream
          type: string
        timestamp:
          description: >-
            Unix timestamp لبدء القراءة من Kinesis Stream. مطلوب إذا كانت
            iteratorType هي AT_TIMESTAMP.
          example: 1615766400
          nullable: true
          type: integer
        useEnhancedFanOut:
          description: استخدام fan-out المحسّن لـ Kinesis Stream.
          nullable: true
          type: boolean
    ClickPipeObjectStorageSource:
      properties:
        authentication:
          description: >-
            طريقة المصادقة. تُستخدم CONNECTION_STRING مع Azure Blob Storage.
            ويُستخدم IAM_ROLE وIAM_USER مع AWS S3/GCS/DigitalOcean. وإذا لم يتم
            توفيرها، فلن تُستخدم أي مصادقة.
          enum:
            - IAM_ROLE
            - IAM_USER
            - CONNECTION_STRING
          nullable: true
          type: string
        azureContainerName:
          description: >-
            اسم Azure container لـ Azure Blob Storage. مطلوب عندما يكون النوع
            azureblobstorage.
          example: mycontainer
          nullable: true
          type: string
        compression:
          description: خوارزمية الضغط المستخدمة للملفات.
          enum:
            - gzip
            - gz
            - brotli
            - br
            - xz
            - LZMA
            - zstd
            - auto
          example: auto
          nullable: true
          type: string
        connectionString:
          description: >-
            سلسلة الاتصال لمصادقة Azure Blob Storage. مطلوبة عندما تكون المصادقة
            CONNECTION_STRING.
          example: >-
            DefaultEndpointsProtocol=https;AccountName=myaccount;AccountKey=mykey;EndpointSuffix=core.windows.net
          nullable: true
          type: string
        delimiter:
          description: الفاصل المستخدم في الملفات.
          example: ','
          nullable: true
          type: string
        format:
          description: تنسيق الملفات.
          enum:
            - JSONEachRow
            - JSONAsObject
            - CSV
            - CSVWithNames
            - Parquet
            - Avro
          type: string
        iamRole:
          description: >-
            دور IAM المراد استخدامه مع مصادقة دور IAM. اقرأ المزيد في وثائق
            ClickPipes:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#authentication
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        isContinuous:
          description: >-
            إذا ضُبطت القيمة على true، فسيقرأ pipe الملفات الجديدة من المصدر
            بشكل مستمر. وإذا ضُبطت على false، فسيقرأ pipe الملفات مرة واحدة فقط.
            يجب تحميل الملفات الجديدة بترتيب معجمي.
          nullable: true
          type: boolean
        path:
          description: >-
            المسار إلى الملف أو الملفات داخل Azure container. يُستخدم لمصادر
            Azure Blob Storage. يمكنك تحديد عدة ملفات باستخدام wildcards بنمط
            bash. لمزيد من المعلومات، راجع وثائق استخدام wildcards في المسار:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: data/logs/*.json
          nullable: true
          type: string
        queueUrl:
          description: >-
            عنوان URL لـ SQS queue للاستيعاب المستمر المستند إلى الأحداث. عند
            توفيره، تُستوعَب الملفات استنادًا إلى إشعارات أحداث S3 بدلًا من
            الترتيب المعجمي. ينطبق ذلك فقط عندما تكون isContinuous مساوية لـ
            true ولا تكون المصادقة public.
          example: https://sqs.us-east-1.amazonaws.com/123456789012/MyQueue
          nullable: true
          type: string
        type:
          description: نوع مصدر ObjectStorage.
          enum:
            - s3
            - gcs
            - dospaces
            - azureblobstorage
          type: string
        url:
          description: >-
            قدّم مسارًا إلى الملف أو الملفات التي تريد استيعابها. يمكنك تحديد
            عدة ملفات باستخدام wildcards بنمط bash. لمزيد من المعلومات، راجع
            وثائق استخدام wildcards في المسار:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: >-
            https://datasets-documentation.s3.eu-west-3.amazonaws.com/http/**.ndjson.gz
          type: string
    ClickPipePostgresSource:
      properties:
        database:
          description: قاعدة البيانات الخاصة بمثيل Postgres المطلوب الاتصال به.
          type: string
        host:
          description: المضيف الخاص بمثيل Postgres المطلوب الاتصال به.
          type: string
        port:
          description: المنفذ الخاص بمثيل Postgres المطلوب الاتصال به.
          type: number
        settings:
          $ref: '#/components/schemas/ClickPipePostgresPipeSettings'
        tableMappings:
          description: تعيينات الجداول لـ pipe الخاص بـ Postgres.
          items:
            $ref: '#/components/schemas/ClickPipePostgresPipeTableMapping'
          type: array
    ClickPipeDestinationTableEngine:
      properties:
        columnIds:
          description: أسماء الأعمدة المطلوب جمعها لمحرك SummingMergeTree.
          items:
            type: string
          type: array
        type:
          description: نوع محرك الجدول الوجهة.
          enum:
            - MergeTree
            - ReplacingMergeTree
            - SummingMergeTree
            - 'Null'
          type: string
        versionColumnId:
          description: اسم العمود المراد استخدامه كإصدار لمحرك ReplacingMergeTree.
          nullable: true
          type: string
    ClickPipeKafkaOffset:
      properties:
        strategy:
          description: استراتيجية الإزاحة.
          enum:
            - from_beginning
            - from_latest
            - from_timestamp
          type: string
        timestamp:
          description: >-
            طابع زمني UTC بدقة الدقيقة للبدء منه. مطلوب لاستراتيجية
            "from_timestamp".
          example: 2021-01-01T00:00
          nullable: true
          type: string
    ClickPipeKafkaSchemaRegistry:
      properties:
        authentication:
          description: نوع المصادقة الخاص بسجل المخططات.
          enum:
            - PLAIN
          type: string
        caCertificate:
          description: شهادات CA المُرمَّزة بتنسيق PEM للتحقق من شهادة سجل المخططات.
          nullable: true
          type: string
        url:
          description: عنوان URL للمخطط. يجب استخدام HTTPS.
          example: https://psrc-aa00.us-east-2.aws.confluent.cloud/schemas/ids/100004
          type: string
    ClickPipePostgresPipeSettings:
      properties:
        allowNullableColumns:
          description: السماح بالأعمدة القابلة لأن تكون NULL في destination table.
          type: boolean
        enableFailoverSlots:
          description: >-
            تمكين failover لـ replication slot المُنشأ. يتطلب ذلك عدم تعيين
            replication slot.
          type: boolean
        initialLoadParallelism:
          description: عدد الجداول المتوازية المطلوب مزامنتها أثناء initial load.
          type: number
        publicationName:
          description: اسم الـ publication المراد استخدامه للنسخ المتماثل.
          type: string
        pullBatchSize:
          description: عدد الصفوف المطلوب سحبها في كل Batch.
          type: number
        replicationMode:
          description: وضع النسخ المتماثل المراد استخدامه للـ pipe.
          enum:
            - cdc
            - snapshot
            - cdc_only
          type: string
        replicationSlotName:
          description: اسم replication slot المراد استخدامه للنسخ المتماثل.
          type: string
        snapshotNumRowsPerPartition:
          description: عدد الصفوف المطلوب أخذ snapshot لها لكل partition.
          type: number
        snapshotNumberOfParallelTables:
          description: عدد الجداول المتوازية المطلوب أخذ snapshot لها.
          type: number
        syncIntervalSeconds:
          description: الفاصل الزمني بالثواني لمزامنة البيانات من Postgres.
          type: number
    ClickPipePostgresPipeTableMapping:
      properties:
        excludedColumns:
          description: الأعمدة المطلوب استبعادها من target table.
          items:
            type: string
          type: array
        sortingKeys:
          description: قائمة مرتبة بالأعمدة لاستخدامها كمفتاح ترتيب للجدول الهدف.
          items:
            type: string
          type: array
        sourceSchemaName:
          description: اسم source schema.
          type: string
        sourceTable:
          description: اسم source table.
          type: string
        tableEngine:
          description: محرك الجدول المستخدم للجدول الهدف.
          enum:
            - MergeTree
            - ReplacingMergeTree
            - 'Null'
          type: string
        targetTable:
          description: اسم target table.
          type: string
        useCustomSortingKey:
          description: ما إذا كان سيتم استخدام sorting key مخصص لـ target table.
          type: boolean
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````